package rabbitmqrpc

import (
	"encoding/json"
	"testing"
)

func Test_Send(t *testing.T) {

	exchange := "send_msg"
	key := "api"

	msg := map[string]interface{}{
		"site_id": "100002",
		"dbname":  "testing",
		"data": map[string]string{
			"order_id": "111",
			"order_sn": "cccc",
		},
	}
	data, _ := json.Marshal(msg)

	ret, err := Send(exchange, key, string(data))

	t.Log(ret)
	t.Log(err)
}
